GetKeyManager is coming soon! 🎉 See here to know what’s new

Update Product

Endpoint Details

  • Method: POST
  • Path: /api/v1/update-product
  • Authentication: API Key (required)

Request Headers

None specified in Postman

Request Parameters

ParameterTypeRequiredDescriptionExample
api_keytextYesRequired; API Key2964c3c9-0b5d-4d89-b3ac-4668f30bc492
product_idtextYesRequired; Product ID5
sourcetextYesRequired; Product source, can be ‘internal’ or ‘Envato’internal
nametextYesRequired; Product nameAPI Create Product
descriptiontextYesRequired; Product descriptionTest Update
require_non_expiredtextYesRequired; Boolean, can be 1 or 01
external_referencetextYesOptional; External refrence (item ID for Envato products)``
statustextYesRequired; Product status, can be ‘active’ or ‘inactive’active

Response Examples

This endpoint has 2 documented response example(s) in the Postman collection.

Product Id doesn’t exist

HTTP Status: 200 OK

Response Body:

{
  "response": {
    "code": 651,
    "message": "Incorrect data found",
    "errors": {
      "product_id": [
        "The selected product id is invalid."
      ]
    },
    "timestamp": 1709002994
  },
  "response_base64": "eyJjb2RlIjo2NTEsIm1lc3NhZ2UiOiJJbmNvcnJlY3QgZGF0YSBmb3VuZCIsImVycm9ycyI6eyJwcm9kdWN0X2lkIjpbIlRoZSBzZWxlY3RlZCBwcm9kdWN0IGlkIGlzIGludmFsaWQuIl19LCJ0aW1lc3RhbXAiOjE3MDkwMDI5OTR9",
  "private_key_used": "global",
  "signature": "T6yOTueLSUq45yx5i7WeswN9RjAPnUv8199lpOLpiHF1pys2rhaQLxnVRIhHKF4C9RSn2MKZvR7Vht4SH5/ohYnJje5Xlx7RFix7ppgn5SWN6eYD5IhGHmt/7qCivYOjZPKcTVSQB6MY3BYSr+2ZLp/YFG8kmO3yUYCsIJ9qhrjrNzTitZuTiZUE3bC+sqWMyvNA5bfqJv2DwkGzlT8Cen6LxmpgmQ4Udt4BSf2Y4+RS28B45f2uLAoXGo/jPBOTeoFPIVbmT9hXVT9vD6js2uueQ6YssSzQGiYkxaECMi/gtoRo85R/ScfqdKnm8r7Vzy1fgi5v3R9kcNFnSLNxFw=="
}

Product updated

HTTP Status: 200 OK

Response Body:

{
  "response": {
    "code": 650,
    "message": "Product updated",
    "timestamp": 1709003049
  },
  "response_base64": "eyJjb2RlIjo2NTAsIm1lc3NhZ2UiOiJQcm9kdWN0IHVwZGF0ZWQiLCJ0aW1lc3RhbXAiOjE3MDkwMDMwNDl9",
  "private_key_used": "global",
  "signature": "T9B82VNUdO9mSnZZWqqGpeO1axRzliBxbEVtZVN/rO1pCE6rJmxTjwZSEDWhhP2XIO4/LtN9qzimL+SIMUqVvfQZJWx5VytQjwTkmcW2qSkmUqJSScI93Q3ulru51KcbWlmo73msHeFCt9AkqNbQFrJ8lweAhBv1/fpXP4BNLpDVyzyr3I7kbY1kfvY5IOcT6hDrB04cU4wlmkiEVENE7YnAzCq2haXNpn1VRngc89CrLJhMY8cT3vvRZ7Z35s2u8ys0y+qOBScI48kNZUtF8Iy8VO/X1qRkgi7lrP6nPbiVjhfkIX6JsYm8Yd0b608lsKBQ6jIigs+6QJJ266ZTxw=="
}
Last updated on